// Arquivo de exemplo: RegexIsMatch.cs
// Para compilar utilize: csc RegexIsMatch.cs
using System;
using System.Text.RegularExpressions;

public class Regex1
{
    public static void Main()
    {
        Console.WriteLine("Digite um valor numérico.");
        string busca = Console.ReadLine();


        if (Regex.IsMatch(busca, "^[0-9]+$",RegexOptions.IgnoreCase))
        {
            Console.Write("Verificação OK.");
        }
        else
        {
            Console.Write("Verificação incorreta.");
        }
	Console.Read();
    }
}